Package com.saxonica.ee.stream.feed

## Class StringValueGatherer

- java.lang.Object
- - com.saxonica.ee.validate.AbstractReceiver
  - - com.saxonica.ee.stream.feed.StringValueGatherer

- All Implemented Interfaces:
    `javax.xml.transform.Result`, `Receiver`

      public class StringValueGatherer
      extends AbstractReceiver

  A StringValueGatherer is a Receiver that computes the string value of an element in streaming mode, by copying all the text nodes to a supplied receiver.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringValueGatherer​(FastStringBuffer buffer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `characters​(java.lang.CharSequence chars, Location locationId, int properties)` | Notify character data.

    - ### Methods inherited from class com.saxonica.ee.validate.AbstractReceiver

      `close, comment, endDocument, endElement, getConfiguration, getPipelineConfiguration, getSystemId, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnparsedEntity, startDocument, startElement, usesTypeAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.event.Receiver

      `append, append, handlesAppend`

- - ### Constructor Detail

    - #### StringValueGatherer

          public StringValueGatherer​(FastStringBuffer buffer)

  - ### Method Detail

    - #### characters

          public void characters​(java.lang.CharSequence chars,
                                 Location locationId,
                                 int properties)
                          throws XPathException

      Description copied from interface: `Receiver`
      Notify character data. Note that some receivers may require the character data to be sent in a single event, but in general this is not a requirement.
      Specified by:
        `characters` in interface `Receiver`
      Overrides:
        `characters` in class `AbstractReceiver`
      Parameters:
        `chars` - The characters
        `locationId` - provides information such as line number and system ID.
        `properties` - Bit significant value. The following bits are defined:
        DISABLE_ESCAPING
          Disable escaping for this text node
        USE_CDATA
          Output as a CDATA section
      Throws:
        `XPathException` - if an error occurs